local T, C, L, _ = unpack(select(2, ...))
if C.skins.myslot ~= true then return end

----------------------------------------------------------------------------------------
--	MeetingHorn skin
----------------------------------------------------------------------------------------
if IsAddOnLoaded("Myslot") then
    local frame = LibStub("Myslot-5.0").MainFrame
    if not frame then
        return
    end

    frame:StripTextures()
    frame:SetTemplate("Transparent")

    for _, child in pairs {frame:GetChildren()} do
        local objType = child:GetObjectType()
        if objType == "Button" then
            child:SkinButton()
        elseif objType == "CheckButton" then
            child:SkinButton()
            child:SetSize(20, 20)
        elseif objType == "Frame" then
            if floor(child:GetWidth() - 600) == 0 and floor(child:GetHeight() - 400) == 0 then
                child:SetTemplate("Transparent")
                for _, subChild in pairs {child:GetChildren()} do
                    if subChild:GetObjectType() == "ScrollFrame" then
                        T.SkinScrollBar(subChild.ScrollBar)
                        break
                    end
                end
            elseif child.initialize and child.Icon then
                T.SkinDropDownBox(child, 220)
                child:ClearAllPoints()
                child:SetPoint("TOPLEFT", frame, 7, -45)
            end
        end
    end
end